Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class CTAggFieldInfo

    java.lang.Object
      jet.api.CTAggFieldInfo

Direct Known Subclasses:
  CTSpecialFldInfo

    public class CTAggFieldInfo

extends java.lang.Object

The class CTAggFieldInfo defines the information of aggregate field in the crosstab.

Field Summary
`static int` | `AVERAGE` The function type values.
`static int` | `COUNT` The function type values.
`static int` | `DISTINCTCOUNT` The function type values.
`static int` | `MAXIMUM` The function type values.
`static int` | `MINIMUM` The function type values.
`static int` | `POPULATIONSTDDEV` The function type values.
`static int` | `POPULATIONVARIANCE` The function type values.
`static int` | `SQRSUM` The function type values.
`static int` | `STDDEV` The function type values.
`static int` | `SUM` The function type values.
`static int` | `VARIANCE` The function type values.

Constructor Summary
`CTAggFieldInfo(java.lang.String name, java.lang.String mapping, int func)` Constructor.
`CTAggFieldInfo(java.lang.String name, java.lang.String mapping, int func, int index)` Constructor.
`CTAggFieldInfo(java.lang.String name, java.lang.String mapping, int func, int index, java.lang.String label)` Constructor.

Method Summary
`CTSpecialFldInfo` | `createCTSpecialFldInfo(java.lang.String label, int breakBy, int refer, int function, boolean isRowDirection)` Creates a related comparison aggregate field's information.
`int` | `getAggregationType()`
`java.lang.String` | `getBlName()` Gets the BC/RC name or the BusinessView name of the aggregate field.
`java.lang.String` | `getCTFName()` Gets the Crossstable Formula name of the aggregate field.
`static int` | `getType(java.lang.String typeN)` Gets the int value of the function context.
`void` | `setAggregationType(int aggType)`
`void` | `setBlName(java.lang.String blName)` Sets the BC/RC name or the BusinessView name of the aggregate field.
`void` | `setCTFName(java.lang.String ctfName)` Sets the Crossstable Formula name of the aggregate field.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COUNT

    public static final int COUNT

  The function type values.

  See Also:
    Constant Field Values

### SUM

    public static final int SUM

  The function type values.

  See Also:
    Constant Field Values

### MINIMUM

    public static final int MINIMUM

  The function type values.

  See Also:
    Constant Field Values

### MAXIMUM

    public static final int MAXIMUM

  The function type values.

  See Also:
    Constant Field Values

### DISTINCTCOUNT

    public static final int DISTINCTCOUNT

  The function type values.

  See Also:
    Constant Field Values

### AVERAGE

    public static final int AVERAGE

  The function type values.

  See Also:
    Constant Field Values

### SQRSUM

    public static final int SQRSUM

  The function type values.

  See Also:
    Constant Field Values

### POPULATIONSTDDEV

    public static final int POPULATIONSTDDEV

  The function type values.

  See Also:
    Constant Field Values

### POPULATIONVARIANCE

    public static final int POPULATIONVARIANCE

  The function type values.

  See Also:
    Constant Field Values

### STDDEV

    public static final int STDDEV

  The function type values.

  See Also:
    Constant Field Values

### VARIANCE

    public static final int VARIANCE

  The function type values.

  See Also:
    Constant Field Values

Constructor Detail

### CTAggFieldInfo

    public CTAggFieldInfo(java.lang.String name,
                          java.lang.String mapping,
                          int func)

  Constructor. Creates a crosstab aggregate field information.

  Parameters:
    `name` - The instance name of the aggregate field in the crosstab.
    `mapping` - The mapping name of the database field or formula.
    `func` - The int value of the aggregate function type.

### CTAggFieldInfo

    public CTAggFieldInfo(java.lang.String name,
                          java.lang.String mapping,
                          int func,
                          int index)

  Constructor. Creates a crosstab aggregate field information.

  Parameters:
    `name` - The instance name of the aggregate field in the crosstab.
    `mapping` - The mapping name of the database field or formula.
    `func` - The int value of the aggregate function type.
    `index` - The position of aggregate field in the crosstab. It is useless in fact since JReport arrange aggregate fields according to the aggregation list in the crosstab.

### CTAggFieldInfo

    public CTAggFieldInfo(java.lang.String name,
                          java.lang.String mapping,
                          int func,
                          int index,
                          java.lang.String label)

  Constructor. Creates a crosstab aggregate field information.

  Parameters:
    `name` - The instance name of the aggregate field in the crosstab.
    `mapping` - The mapping name of the database field or formula.
    `func` - The int value of the aggregate function type.
    `index` - The position of aggregate field in the crosstab. It is useless in fact since JReport arrange aggregate fields according to the aggregation list in the crosstab.
    `label` - The text title of the aggregate field.

Method Detail

### getType

    public static int getType(java.lang.String typeN)

  Gets the int value of the function context.

  Parameters:
    `typeN` - The string description of the aggregate function.
  Returns:
    the int value of the function context.

### setBlName

    public void setBlName(java.lang.String blName)

  Sets the BC/RC name or the BusinessView name of the aggregate field.

  Parameters:
    `blName` - The BC/RC name or the BusinessView name of the aggregate field.

### getBlName

    public java.lang.String getBlName()

  Gets the BC/RC name or the BusinessView name of the aggregate field.

  Returns:
    the BC/RC name or the BusinessView name of the aggregate field.

### setCTFName

    public void setCTFName(java.lang.String ctfName)

  Sets the Crossstable Formula name of the aggregate field.

  Parameters:
    `ctfName` - The Crossstable Formula name of the aggregate field.

### getCTFName

    public java.lang.String getCTFName()

  Gets the Crossstable Formula name of the aggregate field.

  Returns:
    the Crossstable Formula name of the aggregate field.

### setAggregationType

    public void setAggregationType(int aggType)

### getAggregationType

    public int getAggregationType()

### createCTSpecialFldInfo

    public CTSpecialFldInfo createCTSpecialFldInfo(java.lang.String label,
                                                   int breakBy,
                                                   int refer,
                                                   int function,
                                                   boolean isRowDirection)

  Creates a related comparison aggregate field's information.

  Parameters:
    `label` - The text title of the comparison function field.
    `breakBy` - Specifies the first parameter (aggregate or sub-total) of the comparison function, similar like numerator. The number -1 means the aggregate is the first parameter; the number of the real order of the columns/rows means the inner group sub-total.
    `refer` - Specifies the second parameter (sub-total or grand-total) of the comparison function, similar like denominator. The number -1 means the grand-total is the second parameter; the number, less than `breakBy`, of the real order of the columns/rows means the outer group sub-total.
    `function` - The int value of the comparison function type.
    `isRowDirection` - If it is `true`, the comparison function field will be placed into the column's total cell of the crosstab;otherwise, the comparison function field will be placed into the row total cell of the crosstab.
  Returns:
    the CTSpecialFldInfo defines the special aggregate field.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD